Update Lead
curl --request PUT \
--url https://api.eqho.ai/v1/leads/{lead_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>' \
--data '
{
"first_name": "Jane",
"last_name": "Smith",
"email": "[email protected]",
"phone": "+18015551831",
"phone_extension": "<string>",
"timezone": "<string>",
"list_ids": [
"<string>"
],
"extracted_data": {},
"custom_fields": {},
"preferred_agent_id": "<string>",
"conversation_seeder_override": [
{
"content": "<string>",
"tool_calls": [
{
"name": "<string>",
"arguments": {}
}
]
}
]
}
'import requests
url = "https://api.eqho.ai/v1/leads/{lead_id}"
payload = {
"first_name": "Jane",
"last_name": "Smith",
"email": "[email protected]",
"phone": "+18015551831",
"phone_extension": "<string>",
"timezone": "<string>",
"list_ids": ["<string>"],
"extracted_data": {},
"custom_fields": {},
"preferred_agent_id": "<string>",
"conversation_seeder_override": [
{
"content": "<string>",
"tool_calls": [
{
"name": "<string>",
"arguments": {}
}
]
}
]
}
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-API-KEY': '<api-key>',
'x-org-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
first_name: 'Jane',
last_name: 'Smith',
email: '[email protected]',
phone: '+18015551831',
phone_extension: '<string>',
timezone: '<string>',
list_ids: ['<string>'],
extracted_data: {},
custom_fields: {},
preferred_agent_id: '<string>',
conversation_seeder_override: [{content: '<string>', tool_calls: [{name: '<string>', arguments: {}}]}]
})
};
fetch('https://api.eqho.ai/v1/leads/{lead_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/leads/{lead_id}"
payload := strings.NewReader("{\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\",\n \"email\": \"[email protected]\",\n \"phone\": \"+18015551831\",\n \"phone_extension\": \"<string>\",\n \"timezone\": \"<string>\",\n \"list_ids\": [\n \"<string>\"\n ],\n \"extracted_data\": {},\n \"custom_fields\": {},\n \"preferred_agent_id\": \"<string>\",\n \"conversation_seeder_override\": [\n {\n \"content\": \"<string>\",\n \"tool_calls\": [\n {\n \"name\": \"<string>\",\n \"arguments\": {}\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"created_at": "2021-08-25T00:00:00+00:00",
"email": "[email protected]",
"first_name": "Jane",
"last_name": "Smith",
"phone": "+18015551831",
"phone_extension": "123"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Leads
Update Lead
PUT
/
v1
/
leads
/
{lead_id}
Update Lead
curl --request PUT \
--url https://api.eqho.ai/v1/leads/{lead_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>' \
--data '
{
"first_name": "Jane",
"last_name": "Smith",
"email": "[email protected]",
"phone": "+18015551831",
"phone_extension": "<string>",
"timezone": "<string>",
"list_ids": [
"<string>"
],
"extracted_data": {},
"custom_fields": {},
"preferred_agent_id": "<string>",
"conversation_seeder_override": [
{
"content": "<string>",
"tool_calls": [
{
"name": "<string>",
"arguments": {}
}
]
}
]
}
'import requests
url = "https://api.eqho.ai/v1/leads/{lead_id}"
payload = {
"first_name": "Jane",
"last_name": "Smith",
"email": "[email protected]",
"phone": "+18015551831",
"phone_extension": "<string>",
"timezone": "<string>",
"list_ids": ["<string>"],
"extracted_data": {},
"custom_fields": {},
"preferred_agent_id": "<string>",
"conversation_seeder_override": [
{
"content": "<string>",
"tool_calls": [
{
"name": "<string>",
"arguments": {}
}
]
}
]
}
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-API-KEY': '<api-key>',
'x-org-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
first_name: 'Jane',
last_name: 'Smith',
email: '[email protected]',
phone: '+18015551831',
phone_extension: '<string>',
timezone: '<string>',
list_ids: ['<string>'],
extracted_data: {},
custom_fields: {},
preferred_agent_id: '<string>',
conversation_seeder_override: [{content: '<string>', tool_calls: [{name: '<string>', arguments: {}}]}]
})
};
fetch('https://api.eqho.ai/v1/leads/{lead_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/leads/{lead_id}"
payload := strings.NewReader("{\n \"first_name\": \"Jane\",\n \"last_name\": \"Smith\",\n \"email\": \"[email protected]\",\n \"phone\": \"+18015551831\",\n \"phone_extension\": \"<string>\",\n \"timezone\": \"<string>\",\n \"list_ids\": [\n \"<string>\"\n ],\n \"extracted_data\": {},\n \"custom_fields\": {},\n \"preferred_agent_id\": \"<string>\",\n \"conversation_seeder_override\": [\n {\n \"content\": \"<string>\",\n \"tool_calls\": [\n {\n \"name\": \"<string>\",\n \"arguments\": {}\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"created_at": "2021-08-25T00:00:00+00:00",
"email": "[email protected]",
"first_name": "Jane",
"last_name": "Smith",
"phone": "+18015551831",
"phone_extension": "123"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
APIKeyHeader & OrgImpersonationOAuth2PasswordBearer & OrgImpersonation
Your API key for authentication.
Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.
Path Parameters
Required string length:
24Body
application/json
A set of optional updates to be made.
Used for conversation personalization.
Example:
"Jane"
Used for conversation personalization.
Example:
"Smith"
Used for communication with lead
Example:
Used for communication with lead
Example:
"+18015551831"
Agent id preferred for this lead. Selected over the campaign's distribution strategy when the agent is in the campaign's pool. Send null to clear.
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?